Should I install SP1 on my W2K3 server? I have the ZFD 7 Patch Management
service running on this server and it seems to be running fine. Should I
install the SP1 or not worry? I know for security reasons it can be
better, but will it cause problems with the Patch Management system. I am
thinking of installing SP1 to try and fix the only problem I am having
with the server, which is the time is not syncronized with my time
source. It keeps losing time.